use clap::{arg, command, ArgMatches};

pub fn get_args() -> ArgMatches {
    command!()
        .about("Lint markdown frontmatter using JSON Schema")
        .arg(arg!([schema] "Schema file used for validation").required(true))
        .arg(arg!([file] "File to validate").required(true))
        .arg(arg!(--greedy "Require all properties to be present even if they are not strictly required in schema").required(false))
        .get_matches()
}
